@import url(/css/nav.css);
@import url(/css/hero-section.css);
@import url(/css/tournament.css);
@import url(/css/dashboard.css);
@import url(/css/pokedex.css);


* {
    margin: 0;
    padding: 0;
    color: #F2ECEB;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    text-decoration: none;
    list-style: none;

}

body {
  background-image: url(/imgs/bg.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
}

#container {
    background: rgba(0, 0, 0, 0.70);
    width: 100%;
    min-height: 100vh;
    background-size: cover;
    background-position: center;
}

/* Fundo escuro atrás do pop-up */
#login-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0,0,0,0.7);
    display: none; /* escondido por padrão */
    align-items: center;
    justify-content: center;
    z-index: 999;
}

/* Pop-up */
#login-popup {
    width: 400px;
    background: #0f0f0f;
    padding: 30px;
    border-radius: 15px;
    border: 2px solid #04BFBF;
    text-align: center;
    position: relative;
}

/* Botão fechar (X) */
#close-login {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 28px;
    cursor: pointer;
    color: #ccc;
}

#close-login:hover {
    color: white;
}

/* Botão Discord */
#discord-login {
    width: 70%;
    margin: auto;
    padding: 12px;
    font-size: 18px;
    font-weight: bold;
    border-radius: 10px;
    border: none;
    cursor: pointer;
    background: #5865F2; /* cor do discord */
    color: white;
    margin-top: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

#discord-login:hover {
    background: #4752C4;
}

#discord-login img {
    width: 26px;
}




